> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prediction traffic



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/get-prediction-traffic
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/get-prediction-traffic:
    summary: Gets the model prediction traffic
    parameters:
      - in: query
        name: model_ids
        required: true
        schema:
          type: string
      - in: query
        name: start_date
        required: true
        schema:
          type: number
      - in: query
        name: end_date
        required: true
        schema:
          type: number
    get:
      tags:
        - Model
      summary: Get prediction traffic
      operationId: getPredictionTraffic
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelTrafficArray'
          description: Gets the model prediction traffic
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    modelTrafficArray:
      items:
        $ref: '#/components/schemas/modelTraffic'
      type: array
    modelTraffic:
      properties:
        modelId:
          description: The model id.
          example: 60116865cd9ab24dd866cfc6
          title: Model id
          type: string
        traffic:
          description: A list that contains the traffic data for model.
          items:
            $ref: '#/components/schemas/dataTraffic'
          title: Model traffic data
          type: array
      required:
        - modelId
        - traffic
      type: object
    dataTraffic:
      properties:
        date:
          type: integer
        queries:
          type: number
      required:
        - queries
        - date
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get ground truth traffic](/api-reference/model/get-ground-truth-traffic.md)
- [Get the existing user setting for the given user.](/api-reference/usersettings/get-the-existing-user-setting-for-the-given-user.md)
- [Health dashboard](/cloud/platform-capabilities/features/monitoring/7-monitor-settings/2-health.md)
- [Get summary for workbench model versions](/api-reference/workbench/get-summary-for-workbench-model-versions.md)
